Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024791
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformmajoralways2013-09-18 12:172014-05-20 13:10
ReportercaristuView Statuspublic 
Assigned ToAugustoMauch 
PriorityurgentResolutionduplicateFixed in Version3.0PR14Q3
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024791: Is not possible to apply a format different from the standard format for Time fields

DescriptionIs not possible to apply a format different from the standard format (HH:mm:ss) for those fields that use the Time reference
Steps To Reproduce1) Configure Openbravo.properties with a date format that uses a time format different from HH:mm:ss

2) Log-in in the erp, and navigate to a window which has a field with the Time reference, for example [Process Request]. Notice that the new format is not applied
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
duplicate of feature request 00259363.0PR14Q3 closeddbaz DateTime reference format support hh:mm:ss a 
related to design defect 0024683 closedshankarb Some java date patterns are not supported in Openbravo.properties 

-  Notes
(0061357)
jonalegriaesarte (reporter)
2013-09-23 16:40

Needs to be reviewed in depth to decide if it can be managed as a defect, or we need to change the whole implementation and needs to be managed as a design defect
(0067310)
alostale (developer)
2014-05-20 13:10

Starting from PR14Q3 AM/PM format is supported by

dateTimeFormat.java=MM-dd-yyyy hh:mm:ss a

- Issue History
Date Modified Username Field Change
2013-09-18 12:17 caristu New Issue
2013-09-18 12:17 caristu Assigned To => AugustoMauch
2013-09-18 12:17 caristu Modules => Core
2013-09-18 12:17 caristu Triggers an Emergency Pack => No
2013-09-18 12:17 caristu Proposed Solution updated
2013-09-18 12:17 caristu Issue Monitored: networkb
2013-09-18 12:18 caristu Relationship added related to 0024683
2013-09-23 16:40 jonalegriaesarte Note Added: 0061357
2013-09-23 16:40 jonalegriaesarte Target Version 3.0MP28 => 3.0MP29
2013-10-14 10:25 caristu Type defect => design defect
2013-10-18 13:22 AugustoMauch Target Version 3.0MP29 =>
2014-05-20 13:10 alostale Relationship added duplicate of 0025936
2014-05-20 13:10 alostale Note Added: 0067310
2014-05-20 13:10 alostale Status new => closed
2014-05-20 13:10 alostale Resolution open => duplicate
2014-05-20 13:10 alostale Fixed in Version => PR14Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker